#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberRequest {
  #[prost(string, tag = "1")]
  pub site_id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub member_class_id: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub member_level_id: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "4")]
  pub referrer_member_username: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, tag = "5")]
  pub username: ::prost::alloc::string::String,
  #[prost(string, tag = "6")]
  pub password: ::prost::alloc::string::String,
  #[prost(string, tag = "7")]
  pub nickname: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "8")]
  pub mobile_phone_number: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(message, optional, tag = "9")]
  pub bank_account: ::core::option::Option<create_member_request::BankAccount>,
  #[prost(message, optional, tag = "10")]
  pub game_setting: ::core::option::Option<create_member_request::GameSetting>,
  #[prost(message, optional, tag = "11")]
  pub settlement_setting: ::core::option::Option<create_member_request::SettlementSetting>,
}
/// Nested message and enum types in `CreateMemberRequest`.
pub mod create_member_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct BankAccount {
    #[prost(string, tag = "1")]
    pub bank_id: ::prost::alloc::string::String,
    #[prost(string, tag = "2")]
    pub name: ::prost::alloc::string::String,
    #[prost(string, tag = "3")]
    pub account_number: ::prost::alloc::string::String,
    #[prost(string, tag = "4")]
    pub exchange_password: ::prost::alloc::string::String,
  }
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct GameSetting {
    #[prost(bool, tag = "1")]
    pub can_bet_casino: bool,
    #[prost(bool, tag = "2")]
    pub can_bet_slot: bool,
    #[prost(bool, tag = "3")]
    pub can_bet_powerball: bool,
    #[prost(bool, tag = "4")]
    pub can_bet_powerladder: bool,
    #[prost(bool, tag = "5")]
    pub can_bet_eos: bool,
    #[prost(bool, tag = "6")]
    pub can_bet_bogglepowerball: bool,
  }
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct SettlementSetting {
    #[prost(bool, tag = "1")]
    pub can_exchange: bool,
    #[prost(bool, tag = "2")]
    pub can_first_charge_comp: bool,
    #[prost(bool, tag = "3")]
    pub can_per_charge_comp: bool,
    #[prost(
      enumeration = "crate::models::member_settlement_setting::SettlementType",
      tag = "4"
    )]
    pub settlement_type: i32,
    #[prost(
      enumeration = "crate::models::member_settlement_setting::ManualPaymentType",
      tag = "5"
    )]
    pub manual_payment_type_for_partner: i32,
    #[prost(double, tag = "6")]
    pub rate_casino: f64,
    #[prost(double, tag = "7")]
    pub rate_casino_loosing: f64,
    #[prost(double, tag = "8")]
    pub rate_casino_bacara: f64,
    #[prost(double, tag = "9")]
    pub rate_casino_roulette: f64,
    #[prost(double, tag = "10")]
    pub rate_casino_dragon_tiger: f64,
    #[prost(double, tag = "11")]
    pub rate_slot: f64,
    #[prost(double, tag = "12")]
    pub rate_slot_loosing: f64,
    #[prost(double, tag = "13")]
    pub rate_powerball_single: f64,
    #[prost(double, tag = "14")]
    pub rate_powerball_combo: f64,
    #[prost(double, tag = "15")]
    pub rate_powerladder_single: f64,
    #[prost(double, tag = "16")]
    pub rate_powerladder_combo: f64,
    #[prost(double, tag = "17")]
    pub rate_eos_single: f64,
    #[prost(double, tag = "18")]
    pub rate_eos_combo: f64,
    #[prost(double, tag = "19")]
    pub rate_bogglepowerball_single: f64,
    #[prost(double, tag = "20")]
    pub rate_bogglepowerball_combo: f64,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_response::Result>,
}
/// Nested message and enum types in `CreateMemberResponse`.
pub mod create_member_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMembersRequest {
  #[prost(message, optional, tag = "1")]
  pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
  #[prost(message, repeated, tag = "2")]
  pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
  #[prost(message, optional, tag = "3")]
  pub search: ::core::option::Option<list_members_request::Search>,
}
/// Nested message and enum types in `ListMembersRequest`.
pub mod list_members_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Search {
    #[prost(string, optional, tag = "1")]
    pub site_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub member_class_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "3")]
    pub member_level_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "4")]
    pub parent_member_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub username_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "6")]
    pub nickname_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "7")]
    pub mobile_phone_number_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "8")]
    pub last_signined_ip: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(
      enumeration = "crate::models::member::MemberState",
      optional,
      tag = "9"
    )]
    pub state: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "10")]
    pub deleted_at: ::core::option::Option<u64>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMembersResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_members_response::Result>,
}
/// Nested message and enum types in `ListMembersResponse`.
pub mod list_members_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, repeated, tag = "1")]
    pub members: ::prost::alloc::vec::Vec<crate::models::member::MemberModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_response::Result>,
}
/// Nested message and enum types in `GetMemberResponse`.
pub mod get_member_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberByUsernameRequest {
  #[prost(string, tag = "1")]
  pub username: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberByUsernameResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_by_username_response::Result>,
}
/// Nested message and enum types in `GetMemberByUsernameResponse`.
pub mod get_member_by_username_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "2")]
  pub site_id: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, optional, tag = "3")]
  pub member_level_id: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, optional, tag = "4")]
  pub password: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, optional, tag = "5")]
  pub mobile_phone_number: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(message, optional, tag = "6")]
  pub bank_account: ::core::option::Option<update_member_request::BankAccount>,
  #[prost(message, optional, tag = "7")]
  pub game_setting: ::core::option::Option<update_member_request::GameSetting>,
  #[prost(message, optional, tag = "8")]
  pub settlement_setting: ::core::option::Option<update_member_request::SettlementSetting>,
}
/// Nested message and enum types in `UpdateMemberRequest`.
pub mod update_member_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct BankAccount {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
    #[prost(string, tag = "2")]
    pub bank_id: ::prost::alloc::string::String,
    #[prost(string, tag = "3")]
    pub name: ::prost::alloc::string::String,
    #[prost(string, tag = "4")]
    pub account_number: ::prost::alloc::string::String,
    #[prost(string, tag = "5")]
    pub exchange_password: ::prost::alloc::string::String,
  }
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct GameSetting {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
    #[prost(bool, tag = "2")]
    pub can_bet_casino: bool,
    #[prost(bool, tag = "3")]
    pub can_bet_slot: bool,
    #[prost(bool, tag = "4")]
    pub can_bet_powerball: bool,
    #[prost(bool, tag = "5")]
    pub can_bet_powerladder: bool,
    #[prost(bool, tag = "6")]
    pub can_bet_eos: bool,
    #[prost(bool, tag = "7")]
    pub can_bet_bogglepowerball: bool,
  }
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct SettlementSetting {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
    #[prost(bool, tag = "2")]
    pub can_exchange: bool,
    #[prost(bool, tag = "3")]
    pub can_first_charge_comp: bool,
    #[prost(bool, tag = "4")]
    pub can_per_charge_comp: bool,
    #[prost(
      enumeration = "crate::models::member_settlement_setting::SettlementType",
      tag = "5"
    )]
    pub settlement_type: i32,
    #[prost(
      enumeration = "crate::models::member_settlement_setting::ManualPaymentType",
      tag = "6"
    )]
    pub manual_payment_type_for_partner: i32,
    #[prost(double, tag = "7")]
    pub rate_casino: f64,
    #[prost(double, tag = "8")]
    pub rate_casino_loosing: f64,
    #[prost(double, tag = "9")]
    pub rate_casino_bacara: f64,
    #[prost(double, tag = "10")]
    pub rate_casino_roulette: f64,
    #[prost(double, tag = "11")]
    pub rate_casino_dragon_tiger: f64,
    #[prost(double, tag = "12")]
    pub rate_slot: f64,
    #[prost(double, tag = "13")]
    pub rate_slot_loosing: f64,
    #[prost(double, tag = "14")]
    pub rate_powerball_single: f64,
    #[prost(double, tag = "15")]
    pub rate_powerball_combo: f64,
    #[prost(double, tag = "16")]
    pub rate_powerladder_single: f64,
    #[prost(double, tag = "17")]
    pub rate_powerladder_combo: f64,
    #[prost(double, tag = "18")]
    pub rate_eos_single: f64,
    #[prost(double, tag = "19")]
    pub rate_eos_combo: f64,
    #[prost(double, tag = "20")]
    pub rate_bogglepowerball_single: f64,
    #[prost(double, tag = "21")]
    pub rate_bogglepowerball_combo: f64,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_response::Result>,
}
/// Nested message and enum types in `UpdateMemberResponse`.
pub mod update_member_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberForStateRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(enumeration = "crate::models::member::MemberState", tag = "2")]
  pub state: i32,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberForStateResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_for_state_response::Result>,
}
/// Nested message and enum types in `UpdateMemberForStateResponse`.
pub mod update_member_for_state_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member: ::core::option::Option<crate::models::member::MemberModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_response::Result>,
}
/// Nested message and enum types in `DeleteMemberResponse`.
pub mod delete_member_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
