#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberBankAccountRequest {
  #[prost(string, tag = "1")]
  pub member_id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub bank_id: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub name: ::prost::alloc::string::String,
  #[prost(string, tag = "4")]
  pub account_number: ::prost::alloc::string::String,
  #[prost(string, tag = "5")]
  pub exchange_password: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "6")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberBankAccountResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_bank_account_response::Result>,
}
/// Nested message and enum types in `CreateMemberBankAccountResponse`.
pub mod create_member_bank_account_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_bank_account:
      ::core::option::Option<crate::models::member_bank_account::MemberBankAccount>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberBankAccountsRequest {
  #[prost(message, optional, tag = "1")]
  pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
  #[prost(message, repeated, tag = "2")]
  pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
  #[prost(message, optional, tag = "3")]
  pub search: ::core::option::Option<list_member_bank_accounts_request::Search>,
}
/// Nested message and enum types in `ListMemberBankAccountsRequest`.
pub mod list_member_bank_accounts_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Search {
    #[prost(string, optional, tag = "1")]
    pub member_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub bank_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "3")]
    pub name_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "4")]
    pub account_number_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub memo_like: ::core::option::Option<::prost::alloc::string::String>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberBankAccountsResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_member_bank_accounts_response::Result>,
}
/// Nested message and enum types in `ListMemberBankAccountsResponse`.
pub mod list_member_bank_accounts_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, repeated, tag = "1")]
    pub member_bank_accounts:
      ::prost::alloc::vec::Vec<crate::models::member_bank_account::MemberBankAccount>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberBankAccountRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberBankAccountResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_bank_account_response::Result>,
}
/// Nested message and enum types in `GetMemberBankAccountResponse`.
pub mod get_member_bank_account_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_bank_account:
      ::core::option::Option<crate::models::member_bank_account::MemberBankAccount>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberBankAccountRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub bank_id: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub name: ::prost::alloc::string::String,
  #[prost(string, tag = "4")]
  pub account_number: ::prost::alloc::string::String,
  #[prost(string, tag = "5")]
  pub exchange_password: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "6")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberBankAccountResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_bank_account_response::Result>,
}
/// Nested message and enum types in `UpdateMemberBankAccountResponse`.
pub mod update_member_bank_account_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_bank_account:
      ::core::option::Option<crate::models::member_bank_account::MemberBankAccount>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberBankAccountRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberBankAccountResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_bank_account_response::Result>,
}
/// Nested message and enum types in `DeleteMemberBankAccountResponse`.
pub mod delete_member_bank_account_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
