#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberGameSettingRequest {
  #[prost(string, tag = "1")]
  pub member_id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberGameSettingResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_game_setting_response::Result>,
}
/// Nested message and enum types in `CreateMemberGameSettingResponse`.
pub mod create_member_game_setting_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_game_setting:
      ::core::option::Option<crate::models::member_game_setting::MemberGameSetting>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberGameSettingsRequest {
  #[prost(message, optional, tag = "1")]
  pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
  #[prost(message, repeated, tag = "2")]
  pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
  #[prost(message, optional, tag = "3")]
  pub search: ::core::option::Option<list_member_game_settings_request::Search>,
}
/// Nested message and enum types in `ListMemberGameSettingsRequest`.
pub mod list_member_game_settings_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Search {
    #[prost(string, optional, tag = "1")]
    pub member_id: ::core::option::Option<::prost::alloc::string::String>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberGameSettingsResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_member_game_settings_response::Result>,
}
/// Nested message and enum types in `ListMemberGameSettingsResponse`.
pub mod list_member_game_settings_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, repeated, tag = "1")]
    pub member_game_settings:
      ::prost::alloc::vec::Vec<crate::models::member_game_setting::MemberGameSetting>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberGameSettingRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberGameSettingResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_game_setting_response::Result>,
}
/// Nested message and enum types in `GetMemberGameSettingResponse`.
pub mod get_member_game_setting_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_game_setting:
      ::core::option::Option<crate::models::member_game_setting::MemberGameSetting>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberGameSettingRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(bool, tag = "2")]
  pub can_bet_casino: bool,
  #[prost(bool, tag = "3")]
  pub can_bet_slot: bool,
  #[prost(bool, tag = "4")]
  pub can_bet_powerball: bool,
  #[prost(bool, tag = "5")]
  pub can_bet_powerladder: bool,
  #[prost(bool, tag = "6")]
  pub can_bet_eos: bool,
  #[prost(bool, tag = "7")]
  pub can_bet_bogglepowerball: bool,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberGameSettingResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_game_setting_response::Result>,
}
/// Nested message and enum types in `UpdateMemberGameSettingResponse`.
pub mod update_member_game_setting_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_game_setting:
      ::core::option::Option<crate::models::member_game_setting::MemberGameSetting>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberGameSettingRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberGameSettingResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_game_setting_response::Result>,
}
/// Nested message and enum types in `DeleteMemberGameSettingResponse`.
pub mod delete_member_game_setting_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
