const SUBJECT: &str = "bet.beteran.ss.member_class";

pub const SUBJECT_CREATE_MEMBER_CLASS: &str =
  const_format::concatcp!(SUBJECT, ".CreateMemberClass");
pub const SUBJECT_LIST_MEMBER_CLASSES: &str =
  const_format::concatcp!(SUBJECT, ".ListMemberClasses");
pub const SUBJECT_GET_MEMBER_CLASS: &str = const_format::concatcp!(SUBJECT, ".GetMemberClass");
pub const SUBJECT_UPDATE_MEMBER_CLASS: &str =
  const_format::concatcp!(SUBJECT, ".UpdateMemberClass");
pub const SUBJECT_DELETE_MEMBER_CLASS: &str =
  const_format::concatcp!(SUBJECT, ".DeleteMemberClass");

/// subject = bet.beteran.ss.member_class.CreateMemberClass
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberClassRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<create_member_class_request::Request>,
}
/// Nested message and enum types in `CreateMemberClassRequest`.
pub mod create_member_class_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, optional, tag = "1")]
    pub parent_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, tag = "2")]
    pub name: ::prost::alloc::string::String,
    #[prost(bool, tag = "3")]
    pub show: bool,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberClassResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_class_response::Result>,
}
/// Nested message and enum types in `CreateMemberClassResponse`.
pub mod create_member_class_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_class: ::core::option::Option<crate::models::member_class::MemberClass>,
  }
}
/// subject = bet.beteran.ss.member_class.ListMemberClasses
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberClassesRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<list_member_classes_request::Request>,
}
/// Nested message and enum types in `ListMemberClassesRequest`.
pub mod list_member_classes_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(message, optional, tag = "1")]
    pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
    #[prost(message, repeated, tag = "2")]
    pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
    #[prost(message, optional, tag = "3")]
    pub search: ::core::option::Option<request::Search>,
  }
  /// Nested message and enum types in `Request`.
  pub mod request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Search {
      #[prost(string, optional, tag = "1")]
      pub name_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(bool, optional, tag = "2")]
      pub show: ::core::option::Option<bool>,
    }
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberClassesResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_member_classes_response::Result>,
}
/// Nested message and enum types in `ListMemberClassesResponse`.
pub mod list_member_classes_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, repeated, tag = "1")]
    pub member_classes: ::prost::alloc::vec::Vec<crate::models::member_class::MemberClass>,
  }
}
/// subject = bet.beteran.ss.member_class.GetMemberClass
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberClassRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_member_class_request::Request>,
}
/// Nested message and enum types in `GetMemberClassRequest`.
pub mod get_member_class_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberClassResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_class_response::Result>,
}
/// Nested message and enum types in `GetMemberClassResponse`.
pub mod get_member_class_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_class: ::core::option::Option<crate::models::member_class::MemberClass>,
  }
}
/// subject = bet.beteran.ss.member_class.UpdateMemberClass
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberClassRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<update_member_class_request::Request>,
}
/// Nested message and enum types in `UpdateMemberClassRequest`.
pub mod update_member_class_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
    #[prost(string, optional, tag = "2")]
    pub parent_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, tag = "3")]
    pub name: ::prost::alloc::string::String,
    #[prost(bool, tag = "4")]
    pub show: bool,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberClassResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_class_response::Result>,
}
/// Nested message and enum types in `UpdateMemberClassResponse`.
pub mod update_member_class_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_class: ::core::option::Option<crate::models::member_class::MemberClass>,
  }
}
/// subject = bet.beteran.ss.member_class.DeleteMemberClass
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberClassRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<delete_member_class_request::Request>,
}
/// Nested message and enum types in `DeleteMemberClassRequest`.
pub mod delete_member_class_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberClassResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_class_response::Result>,
}
/// Nested message and enum types in `DeleteMemberClassResponse`.
pub mod delete_member_class_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
